<?

	// Ritorna una stringa con una fantastica barretta che indica
	// il rating dato (r) rispetto al massimo (max)
	function rating($r, $max) {
		$r2 = $r * 100 / $max;
		$r2 = round(floatval($r2)*10)/10;

		/*
		$n_elementi = 20;
		$elemento = "&times;";

		$n_elementi = 15;
		$elemento = "&raquo;";
		*/
		
		$n_elementi = 30;
		$elemento = "&middot;";

		if (round($r2*$n_elementi/100) > 0)
			$stringa = "<span class=rating0>".str_repeat($elemento, round($r2*$n_elementi/100))."</span>";
		if (($n_elementi-round($r2*$n_elementi/100)) > 0)
			$stringa .= "<span class=rating1>".str_repeat($elemento, $n_elementi-round($r2*$n_elementi/100))."</span>";

		// Volendo round(floatval($r)*100)/100 e' il rating come lo
		// presente mysql, maggiore di zero minore di .. buh!
		// $rn = round(floatval($r)*100)/100;

		$stringa .= "&nbsp;<b>".$r2."</b>%&nbsp;";
		return $stringa;
	} // rating()

	// Stupida funzioncina di comodo per errore di mysql
	function err($q="") {
		return "# Mysql error<br># Query: $q<br># Mysql_error(): ".mysql_error()."<br>";
	} // err()

	function getmicrotime(){
   	list($usec, $sec) = explode(" ",microtime());
	      return ((float)$usec + (float)$sec);
	   }

	function pulisci_from($from) {
		$from = str_replace('"', "", $from);
		$from = ereg_replace("\@(([[:alnum:]]+\-?)+\.)*[[:alpha:]]+", "@...", $from);
		$from = htmlentities(trim($from));
		return str_replace(" ", "&nbsp;", $from);
	} // pulisci_from



?>
